WordPress.org

Ready to get started?Download WordPress

Forums

Shopping Cart (14 posts)

  1. rustin
    Member
    Posted 8 years ago #

    At the risk of annoying folks with internet buzzwords, I wanted to see if you all have any recommendations for a script.

    I'm looking for a good shopping cart option that has been "Web 2.0ified". I'd like to see something with all the AJAXy goodness of web apps like Blinksale and Basecamp.

    Icing on the cake would be some way to integrate the current user profiles from WordPress.

    Is there any good options out there yet

  2. xhale
    Member
    Posted 8 years ago #

    The quick answer is no. The slightly longer answer is no, but there are shopping carts that work.

    Microshop works with WP2, but it will take you several hours to configure (manually fiddle with things to get it to work and look like it should), and the developer is decidedly unhelpful unless the problem is something major. That's understandable, since it's a free product. Some intense googling will fix most issues anyway.

    I'm looking at this right now: http://www.3g.co.nz/2/
    There are some AJAX features and might be cool, but this shopping cart is ten times the size (in kb) than microshop, and may have some other issues.

  3. vkaryl
    Member
    Posted 8 years ago #

    There's a new plugin for wp as well: WPShop from Cregy. If the link's working today you can get it here:

    http://www.cregy.net/downloads/wpshop-0.52.tar.gz

    I have it but haven't had time to install it yet....

  4. AndreSC
    Member
    Posted 8 years ago #

    hmmm, in the site i'm building at http://www.davidkrutpublishing.com/dkp esentially each post is a a product, and the ideal would be to have an add to cart button as part of each post - will microshop allow this?

  5. xhale
    Member
    Posted 8 years ago #

    Microshop is a self contained shop that can be integrated into WP. So no.

    For what you're trying to do you could simply create a shopping cart link using paypal's tools, then post the code into your page. I see no reason this wouldn't work, except...

    TinyMCE futzes with the link code. You'd want to turn it off to follow this suggestion.

    I've looked at the cregy cart, and it's barely past the alpha stage, imo. It's of no use to me until it matures, but when it does it'll be something, won't it? :)

  6. AndreSC
    Member
    Posted 8 years ago #

    Thanx xhale.

  7. flush
    Member
    Posted 8 years ago #

    Xhale that WP e-commerce Lite cart from 3g looks really neat.
    The problem is that I cannot find anyone over there to provide more details...
    I'm trying to know if it can be connected to a bank's gateway.
    Would you happen to know if it's possible?

  8. Dan Milward
    Member
    Posted 8 years ago #

    The WP e-commerce plugin has been going through some major changes and has all sorts of new features.

    It is only 107kb. So don't worry about downloading :)

    If you want to discuss having us develop any extra funcitonality for non supported banks etc then contact me via our website :)

  9. music_man
    Member
    Posted 8 years ago #

    Hi

    I got:

    Fatal error: Call to undefined function: flush_rules() in wp-shopping-cart.php on line 490

  10. bwinter
    Member
    Posted 8 years ago #

    This is what I see whn I try to activate the 'latest' version
    on WP 2.0.2 - the old version activated fine

    Warning: shell_exec() has been disabled for security reasons in /home/brant/public_html/wp-content/plugins/wp-shopping-cart/wp-shopping-cart.php on line 1718

  11. rhythmcollison
    Member
    Posted 8 years ago #

    I can't fix problem as well as bwinder.
    I get a error when I activate the latest WP-shopping-cart version on WordPress 2.02.(WP-e-commerce plugin)

    Warning: session_start(): open(/opt/sess_cf3c805e41ac92b1c0ffeae8af9ee34f, O_RDWR) failed: Permission denied (13) in---/plugins/wp-shopping-cart/wp-shopping-cart.php on line 1172.

    Does anyone know how to fix it?

  12. Dan Milward
    Member
    Posted 8 years ago #

    Try downloading the latest version from http://www.instinct.co.nz

    Also check the server permissions :P ? ?

  13. rhythmcollison
    Member
    Posted 8 years ago #

    Thanks mufasa.
    If I can't still use it by the latest version, maybe my server is problem. Although I checked and changed permission configuration, I couldn't work the plugins.

  14. Dan Milward
    Member
    Posted 7 years ago #

    Any luck yet? Perhaps try out the latest latest version of WP e-Commerce (The first and the best shopping cart plugin to hit the streets ;))

    Its getting better and better all the time!

Topic Closed

This topic has been closed to new replies.

About this Topic